import { SyncDescriptor } from 'vscode/vscode/vs/platform/instantiation/common/descriptors';
import { IDebugService } from 'vscode/vscode/vs/workbench/contrib/debug/common/debug';
import { DebugService } from './vscode/src/vs/workbench/contrib/debug/browser/debugService.js';
import { LanguageFeaturesService } from 'vscode/vscode/vs/editor/common/services/languageFeaturesService';
import { ILanguageFeaturesService } from 'vscode/vscode/vs/editor/common/services/languageFeatures';
import { ConfigurationResolverService } from './vscode/src/vs/workbench/services/configurationResolver/browser/configurationResolverService.js';
import { IConfigurationResolverService } from 'vscode/vscode/vs/workbench/services/configurationResolver/common/configurationResolver';
import { IExtensionHostDebugService } from 'vscode/vscode/vs/platform/debug/common/extensionHostDebug';
import { BrowserExtensionHostDebugService } from './vscode/src/vs/workbench/contrib/debug/browser/extensionHostDebugService.js';
import getServiceOverride$1 from '@codingame/monaco-vscode-layout-service-override';
import './vscode/src/vs/workbench/contrib/debug/browser/debug.contribution.js';

const original = DebugService.prototype['showError'];
DebugService.prototype['showError'] = function (message, errorActions) {
    return original.call(this, message, errorActions, false);
};
function getServiceOverride() {
    return {
        ...getServiceOverride$1(),
        [( ILanguageFeaturesService.toString())]: new SyncDescriptor(LanguageFeaturesService, [], true),
        [( IDebugService.toString())]: new SyncDescriptor(DebugService, [], true),
        [( IConfigurationResolverService.toString())]: new SyncDescriptor(ConfigurationResolverService, [], true),
        [( IExtensionHostDebugService.toString())]: new SyncDescriptor(BrowserExtensionHostDebugService, [], true)
    };
}

export { getServiceOverride as default };
